 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({

    /**
     * 页面的初始数据
     */
    data: {
        listsArr        : [],   // 订单列表
        page            : {},   // 分页信息
        lodingStats     : false,// 加载状态
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
    },

    onShow() {
        // 获取订单列表
        this.listInfo()
    },

    /**
     * 订单列表
     */
    listInfo(page) {
        wx.$api.recruit.dailyList({page : page || 1}).then(res => {
            console.log(res.data.data)
            let listArr = this.data.listsArr,
                newData = []
            if(page == 1 || page == undefined) listArr = []
            newData = listArr.concat(res.data.data)
            this.setData({
                listsArr       : newData,
                page           : res.data.page,
                lodingStats    : false
            })
            wx.stopPullDownRefresh()
        }).catch(err => {})
    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        // 获取订单列表
        this.listInfo();
    },

    /**
     * 上拉加载
     */
    onReachBottom(){
        this.setData({
            lodingStats: true
        })
        let pageNumber = this.data.page.current
        if(this.data.page.has_more){
            pageNumber++
            // 获取订单列表
            this.listInfo(pageNumber);
        }
    }
})